Summary:       Network traffic recorder
Name:          tcpflow
Version:       1.2.8
Release:       1
License:       GPL+
Group:         Applications/Internet
URL:           http://afflib.org/software/tcpflow
Source0:       https://github.com/simsong/tcpflow/downloads/%{name}-%{version}.tar.gz
Patch0:        %{name}-%{version}-aix.patch

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gcc >= 4.2.3-2
BuildRequires: gcc-c++ >= 4.2.3-2
BuildRequires: libstdc++-devel >= 4.2.3-2
BuildRequires: libpcap-devel >= 1.2.0-1
BuildRequires: zlib-devel

Requires:      libpcap >= 1.2.0-1
Requires:      libstdc++ >= 4.2.3-2
Requires:      zlib

%description
tcpflow is a program that captures data transmitted as part of TCP
connections (flows), and stores the data in a way that is convenient
for protocol analysis or debugging. A program like 'tcpdump' shows a
summary of packets seen on the wire, but usually doesn't store the
data that's actually being transmitted. In contrast, tcpflow
reconstructs the actual data streams and stores each flow in a
separate file for later analysis.


%prep
%setup -q
%patch0


%build
export CC="gcc"
export CXX="g++"

export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"
export CXXFLAGS="${CFLAGS}"

export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -s ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Fri Aug 10 2012 Michael Perzl <michael@perzl.org> - 1.2.8-1
- updated to version 1.2.8

* Fri May 28 2010 Michael Perzl <michael@perzl.org> - 0.21-1
- first version for AIX V5.1 and higher
